## org.apache.bcel.verifier.statics
Class LONG_Upper

    java.lang.Object
      org.apache.bcel.generic.Type
          org.apache.bcel.verifier.statics.LONG_Upper

All Implemented Interfaces:
  Serializable

    public final class LONG_Upper

extends Type

This class represents the upper half of a LONG variable.

Version:
  $Id: LONG_Upper.java 371539 2006-01-23 14:08:00Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Type
`BOOLEAN, BYTE, CHAR, CLASS, DOUBLE, FLOAT, INT, LONG, NO_ARGS, NULL, OBJECT, SHORT, signature, STRING, STRINGBUFFER, THROWABLE, type, UNKNOWN, VOID`

Method Summary
`static LONG_Upper` `theInstance()` Use this method to get the single instance of this class.

Methods inherited from class org.apache.bcel.generic.Type
`equals, getArgumentTypes, getMethodSignature, getReturnType, getSignature, getSignature, getSize, getType, getType, getType, getTypes, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### theInstance

    public static LONG_Upper theInstance()

  Use this method to get the single instance of this class.

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.